BODY {
    margin: 0px ;
    max-width: 40em ;
}

@media (orientation: portrait) { BODY, BUTTON { font-size: 2vh ; } }
@media (orientation: landscape) {BODY, BUTTON { font-size: 150%; } }

#calendar {
    border-spacing: 0px ;
    width: 100% ;
    padding-bottom: 50% ;
}

#calendar > tbody > TR:first-child TD {
    text-align: center ;
}

#calendar > tbody > TR > TD {
    width: 14.28% ;
    padding: 0px ;
}

#calendar .day {
    border-spacing: 1px ;
    width: 100% ;
    height: 100% ;
    background: #FFF ;
    text-align: center ;
    transition: opacity 0.5s ;
    border: 1px solid #FFF ;
}
#calendar .before_start {
    display: none ;
}

#calendar TD:first-child > .day, #calendar TD:nth-child(7) > .day {
    opacity: 0.25 ;
}

#calendar .day.fine:hover, #calendar .day.today:hover {
    background: #000
}

#calendar .day TD, #calendar .day.future TD {
    background: #88F ;
}

#calendar .day.future TD, #calendar .day.past TD {
    background: #BBB ;
}

#calendar .day.today {
    border-color: #000 ;
}

#calendar TD .day.past TD
{
    background: #F88 ;
}

#calendar .day.holidays TD, #calendar .day.holidays.past TD
{
   background: #FFF ;
}


#message {
    position: fixed ;
    bottom: 40% ;
    left: 0px ;
    right: 0px ;
    background: #FF8 ;
    padding: 2em ;
    border-radius: 4em ;

    opacity: 0 ;
    transition: opacity 0.3s;
    pointer-events: none ;
}
BODY.message #message,
BODY.question #question,
BODY.midnight #message,
BODY.grading #question,
BODY.answer #question
{
    opacity: 1 ;
    pointer-events: initial ;
}

BODY.answer #question BUTTON
{
    pointer-events: none ;
}

BUTTON.start  { background: #0F0 ; padding: 2em ; border-radius: 3em ; width: 100% }

#question {
    position: absolute ;
    top: 2em ;
    left: 5% ;
    right: 5% ;
    max-width: 30em ;
    background: #FF8 ;
    padding: 1em ;
    border-radius: 2em ;
    z-index: 6 ;

    opacity: 0 ;
    transition: opacity 0.3s;
    pointer-events: none ;
}

#question LI {
    border-radius: 1em ;
    padding: 0.5em ;
    transition: background 0.5s ;
}

.good_answer { background: #8F8 ; }
.bad_answer { background: #F88 ; }

#question BUTTON {
    border-radius: 0.5em ;
    margin: 0.2em ;
    white-space: pre ;
}
#question BUTTON:hover {
    background: #CCF ;
}
#question TABLE {
    background: #DD0 ;
}

BODY.question #question BUTTON {
    opacity: 1 ;
    pointer-events: initial ;
}

#question BUTTON {
    opacity: 0.5 ;
}
#answer, .keywords.good_answer > DIV  {
    background: #FFF ;
    display: inline ;
    border: 1px solid black ;
}
#answer .cursor {
    white-space: pre ;
    background: #000 ;
}
BODY.answer #question #answer .cursor {
    display: none ;
}
#answer, #good_answer {
    padding: 0.2em ;
    margin: 0.1em ;
    display: inline-block ;
    white-space: pre ;
}


BODY.question #question LI {
    cursor: pointer ;
}

BODY.question #question LI:hover { background: #EEF }

#question ITEM {
    display: list-item ;
    margin-left: 2em ;
    margin-bottom: 0.3em ;
}


.title {
    font-size: 150% ;
}

#show_the_clock, #ABCD {
    float: right ;
    font-family: emoji ;
    cursor: pointer ;
    margin-left: 1em ;
}
#WeekEnd {
    float: right ;
    cursor: pointer ;
    margin-left: 1em ;
    font-size: 50%;
    text-align: center;
}


.clock_disabled #show_the_clock:before, .abcd_disabled #ABCD:before, .weekend_disabled #WeekEnd:before {
    content: '×' ;
    position: absolute ;
    transform: translate(0em,-0.2em) ;
}
.clock_disabled #show_the_clock:before { font-size: 170% ; }
#ABCD { font-size: 50% ; }
.abcd_disabled #ABCD:before { font-size: 340% ; }
.weekend_disabled #WeekEnd:before { font-size: 340% ; }

#clock {
    position: fixed ;
    width: 4em ;
    left: 0px ;
    bottom: 0px ;
    top: 0px ;
    z-index: 4 ;
}

BODY.initial #clock,
BODY.message #clock,
BODY.midnight #clock
{
    display: none ;
}
BODY.midnight #message { background: #FEE ; }

.abcd_disabled OL { list-style: none }
.abcd_disabled .letter { display: none }
.letter {
    opacity: 0.5 ;
    font-family: sans-serif ;
}

.clock_disabled #clock { display: none }
#clock DIV { position: absolute ; left: 0px ; right: 0px ; opacity: 0.5 ;}
#clock .a { top: 0px ; bottom: 50% ; background: #0F0; border-bottom: 1px solid #000 }
#clock .b { top: 50% ; bottom: 0px ; background: linear-gradient(#0F0, #FFF); }
#clock .c {
    opacity: 1 ;
    text-align: center ;
    top: 0% ;
    background: #000 ;
    height: 0.4em ;
}
#clock .d:before {
    position: absolute;
    content: '1';
    top: 50vh;
    left: 1.5em;
}
#clock .e:before {
    position: absolute;
    content: '0.5';
    top: 75vh;
    left: 1em;
}
#clock .f:before {
    position: absolute;
    content: '0.25';
    top: 87.5vh;
    left: 0.75em;
}
#clock .g:before {
    position: absolute;
    content: '0.125';
    top: 93.75vh;
    left: 0.6em;
}

.points {
    display: inline ;
    background: #FFF ;
    border: 2px solid #080 ;
    height: 1em ;
    padding: 0.5em ;
    border-radius: 1em ;
    position: absolute ;
    float: right ;
}

.popup {
    position: absolute ;
    top: 5em ;
    left: 5% ;
    right: 5% ;
    bottom: 5% ;
    background: #F8FFF8 ;
}

.popup .close {
    position: absolute ;
    right: 0px ;
    top: 0px ;
}

.popup IFRAME {
    width: 100% ;
    height: 100% ;
}

.hate {
    float: right ;
    font-family: emoji ;
    opacity: 0 ;
    transition: opacity 2s, transform 1s ;
}

.keywords .hate {
    padding: 0.3em ;
}

.zoom {
    transform-origin: 50% 50% ;
    transform: scale(8,8) ;
    pointer-events: none ;
}

.hate:before { content: '😠' ; }

.answer #question > .hate, .answer .good_answer .hate, .answer .bad_answer .hate {
    opacity: 1 ;
}

M { display: inline; background: #DD0; font-family: monospace; }

#calendar I { position: absolute ; }
